$(document).ready(function() {

	if(/mobile/i.test(navigator.userAgent) || /android/i.test(navigator.userAgent)) {
		$(".title-box").hide();
	}

	if($.cookie("token") == null) {
		window.location.href = "login.html";
	}

	obj.AgentExten = $.cookie("extno");
	if(obj.AgentExten == undefined) {
		$(".Gnumbox").hide();
	}
	$(".Gnum").text(obj.AgentExten);
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetNowUser', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			console.log(result);
			$(".username").text(result.data.user.F_UserName);
			$('.user_code').text(result.data.user.F_UserCode);
			$('.group').text(result.data.user.F_SeartGroup);
			if(result.data.role) {
				console.log(result.data);

				$(".rolename").text(result.data.role.F_RoleName);
			}
			$(".yhtx").attr("src", huayi.config.callcenter_url.substr(0, huayi.config.callcenter_url.length - 1) + result.data.user.F_See);
			obj.AgentGroup = result.data.user.F_SeartGroupID;
			obj.AgentID = result.data.user.F_UserCode;
			//obj.AgentExten = result.data.user.F_WorkNumber;
			if(result.data.user.F_SeatFlag) {
				Connect();
				$("#top-search").show();
				$(".phoneBZ").show();
				$(".zts").show();
			}
		}
	})

	//分机号
	//话务相关
	$("#top-search li").click(function() {
		if($(this).find("i").hasClass("active")) {
			if(obj.AgentID) {
				var fun = $(this).attr("datafun");
				obj.Type = fun;
				switch(fun) {
					case "Login":
						//									obj.AgentGroup = "364";
						obj.AgentType = "0";
						Send();
						break; //签入
					case "MakeCall":
						obj.Type = "SayFree";
						Send(); //备注：用户要求外呼立刻置闲
						$(".hidCallID").val("");
						$("#hidwhtype").val(fun);
						whtp();
						//obj.DestinationNumber = "1012";
						break; //外呼
					case "Meeting":
						$("#hidwhtype").val(fun);
						whtp();
						//obj.DestinationNumber = "1012";
						break; //多方通话
					case "Transfer":
						$("#hidwhtype").val(fun);
						whtp();
						//obj.DestinationNumber = "1012";
						break; //转移

					default:
						Send();
						break;

				}
			}
		}
	});
	//          //知识库查询
	//          $(".searIcon").click(function () {
	//              loadZSK();
	//          })
	//          //历史记录查询
	//          $(".searchbtn").click(function () {
	//              loadOld();
	//          })
	//          //新增记录
	//          $(".addjl").click(function () {
	//              var type = $(".ldtp-cr ul.ld-service .cr-click").attr("itemtype");
	//              if (type == '3') {
	//                  $(".addgd").show();
	//                  $(".tbold").hide();
	//              } else if (type == '1') {
	//                  $(".zxbg").show();
	//                  $(".tbold").hide();
	//
	//              }
	//          })
	//关闭外呼弹屏
	$(".closes").click(function() {
		$(".WH").removeClass("fadeInDown").addClass("fadeOutUp");
		$(".WH").addClass("hidens");
	})
	//键盘事件外呼
	document.onkeydown = function(e) {
		var theEvent = window.event || e;
		var code = theEvent.keyCode || theEvent.which;
		if(code == 13) {
			$(".CallOut").click();
		}
	}
	//外呼呼出
	$(".CallOut").click(function(event) {
		event.stopPropagation();
		if($("#Result").val()) {
			$.ajax({
				type: "get",
				url: huayi.config.callcenter_url + "CallOutOpt/GetCallOutprefix",
				async: true,
				dataType: 'json',
				data: {
					token: $.cookie("token"),
					phone: $("#Result").val()
				},
				success: function(result) {
					//                		result = $.parseJSON(result);
					if(result.state.toLowerCase() == "success") {
						var guid = uuid();
						obj.Type = $("#hidwhtype").val();
						obj.DestinationNumber = result.data.phone;
						obj.Header = result.data.fix;
						top.obj.TaskType = "0"; //0:拨号外呼；1:95005回访外呼；2:电销回访外呼
						top.obj.TaskPhoneID = ""; //回访的电话ID
						top.obj.TaskID = guid; //回访记录编号
						Send();
						$('#Result').val('');
						$(".WH").addClass("hidens");
					}

				}
			});

			//						obj.Type = $("#hidwhtype").val();
			//						obj.DestinationNumber = $("#Result").val();
			//						Send();
		}
	})
	//外呼弹屏数字键盘样式
	$(".Num_ul div").mousedown(function() {
		$(this).addClass("actives");
		$(".img").removeClass("hidens");
	}).mouseup(function() {
		$(this).removeClass("actives");
	})
	//外呼弹屏数字键盘号码输入
	$(".Num_ul li div").click(function() {
		var rt = $("#Result").val() + "";
		if(rt.length < 18) {
			rt = rt + $(this).find("a").text();
			$("#Result").val(rt);
		}
	});
	//外呼弹屏数字键盘号码截取
	$(".img").click(function() {
		var Result = $("#Result").val() + "";
		Result = Result.substr(0, Result.length - 1);
		$("#Result").val(Result);
		if(Result.length == 0) {
			$(".img").addClass("hidens");
		}
	})
	////上传头像
	//$(".yhtx").click(function () {
	//    $("#upFile").trigger("click");
	//})
	//$("#upFile").change(function () {
	//    uploadtx();
	//})
	//外呼电话列表
	$(".bg_title li").click(function() {
		$(this).addClass("lactive").siblings().removeClass("lactive");
		loadWH();
	})
	$(".ty").click(function() {
		loadWH();
	})
	//加载部门人员
	$("#zrbmname").click(function() {
		if($(".zrbmmenu").is(":hidden")) {
			$(".zrbmmenu").show();
		} else {
			$(".zrbmmenu").hide();
		}
	})
	$("#clbmname").click(function() {
		if($(".clbmmenu").is(":hidden")) {
			$(".clbmmenu").show();
		} else {
			$(".clbmmenu").hide();
		}
	})
	$(".col-sm-3").mouseleave(function() {
		$(".ztree").parent().hide();
	})
	//$("#zrbm").change(function () {
	//    getRY($("#zrid"), $("#zrbm").val());
	//})
	//$("#clbm").change(function () {
	//    getRY($("#clid"), $("#clbm").val());
	//})
	//创建投诉工单
//	$(".addts").click(function() {
//		var marketName = $("#marketName").val();
//		var marketTel = $("#marketTel").val();
//		var lddep_market = $("#lddep").val();
//		var fkdep_market = $("#fkdep_market").val();
//		var fkcont_market = $("#fkcont_market").val();
//		var callid = $(".hidCallID").val();
//
//		if(!marketName) {
//			layer.confirm('请输入姓名！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!marketTel) {
//			layer.confirm('请输入电话！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!lddep_market) {
//			layer.confirm('请选择来电单位！', {
//				btn: ['确定']
//			});
//			return;
//		}
// 
//		$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
//			callCustomer: marketName,
//			tel: marketTel,
//			lddep: lddep_market,
//			fkdep: fkdep_market,
//			fkcont: fkcont_market,
//			"token": $.cookie("token")
//		}, function(result) {
//			result = $.parseJSON(result);
//			if(result.state.toLowerCase() == "success") {
//				loadOld();
//				$("#marketName").val('');
//				$("#marketTel").val('');
//				$("#lddep_market").val('');
//				$("#fkdep_market").val('');
//				$("#fkcont_market").val('');
//				layer.msg("创建工单成功");
//			}
//		})
//	})
	//加载知识库
	//loadZSK();
	//加载左侧导航菜单
	loadMenu();

	workcount();
	setInterval(function() {
		workcount();
	}, huayi.config.menuworktime);

	//          //客户资料
	//          $('.khzl tbody>tr>td input').attr('readonly', true);
	//          $('.save').hide();
	//          $('.cancel').hide();
	//          $('.edit').click(function () {
	//              $('.save').show();
	//              $('.cancel').show();
	//              $('.edit').hide();
	//              $('.khzl tbody>tr>td input').attr('readonly', false);
	//              $('.khzl tbody>tr>td input').css('border-bottom', "1px solid #b3b3b3");
	//              $(".testInput2").show();
	//              $(".testInput1").css('display', "block");
	//              $(".ldpamter").hide();
	//              $(".ldlocation").hide();
	//          })
	//          $('.cancel').click(function () {
	//              $('.khzl tbody>tr>td input').attr('readonly', true);
	//              $('.khzl tbody>tr>td input').css('border', "0");
	//              $('.save').hide();
	//              $('.cancel').hide();
	//              $('.edit').show();
	//              $('.testInput2').attr('display', none);;
	//              $(".testInput1").hide();
	//              $(".ldpamter").show();
	//              $(".ldlocation").show();
	//          })
	//保存客户
	//          $(".save").click(function () {
	//          	 $('.edit').show();
	//          	 $('.save').hide();
	//          	  $('.cancel').hide();
	//          	 $('.khzl tbody>tr>td input').css('border', "0");
	//              var khid = $("#khid").val();
	//              var khmc = $(".khmc").val();
	//              var tel1 = $(".ldtel1").val();
	//              var testInput2=$("#testInput2").val();
	//              var ldlocation=$("#testInput1").val();
	//              if (!khmc) {
	//                  layer.confirm('请输入客户名称！', {
	//                      btn: ['确定']
	//                  });
	//                  return;
	//              }
	//              $.post(huayi.config.callcenter_url + 'Customer/AddCustomer', {
	//                  id: khid,
	//                	  name: khmc,
	//                    province:ldlocation,//省份
	//                   customerindustry:testInput2,//来电单位
	//                  mobile:tel1,
	//                  "token": $.cookie("token")
	//              }, function (result) {
	//                  result = $.parseJSON(result);
	//                  if (result.state.toLowerCase() == "success") {
	//                      $("#khid").val(result.data);
	//                      $("#tskh").val(khmc);
	//                      layer.msg("保存成功");
	//                      $('.save').hide();
	//                      $('.cancel').hide();
	//                      $('.edit').show();
	//                      $("#marketName").val(khmc);
	//                      $("#marketTel").val(tel1);
	//                      $("#lddepr").val(testInput2);
	//                      $("#callCustomer").val(khmc);//客户姓名
	//						$("#Tel").val(tel1);//联系电话
	//						$("#lddep").val(testInput2);//来电单位
	//                  }
	//              })
	//          })


	//修改密码开始
	$('.shezhi').click(function() {
		Dialog('dialogDrag', 'dialogMove');
		showDialog();
		//侦听浏览器窗口大小变化
		//window.onresize = showDialog;

//		$('.personal').show();
		$.ajax({
			type: "get",
			url: huayi.config.callcenter_url + "UserAccount/GetNowUser",
			async: true,
			dataType: 'json',
			data: {
				token: $.cookie("token")
			},
			success: function(result) {

				if(result.state.toLowerCase() == "success") {
					var con = result.data.user;
					console.log(con)
					$('.mgh').val(con.F_UserId);
					$('.mn').val(con.F_UserName);
					$('.mobile').val(con.F_Mobile);
					$('.fenji').val($.cookie("extno"));
					//$('.wxno').val(con.F_WXNo);
					//		          		$('.spwd').val(con.F_Password);
				}
			}
		});

	})
	//tab切换
	$('.perTab li').click(function() {
		$(this).addClass('sel').siblings().removeClass('sel');
		var index = $(this).index();
		$('.perTab_con').children('div').eq(index).show().siblings().hide();
	})
	//编辑个人资料
	$('.grzl tbody>tr>td input.zhidu').attr('readonly', true);
	$('.grbj').click(function() {
		$('.grzl tbody>tr>td input.zhidu').attr('readonly', false);
		$('.grzl tbody>tr>td input.zhidu').css('border-bottom', "1px solid #b3b3b3");
	})
	//取消编辑
	$('.grqx').click(function() {
		$('.grzl tbody>tr>td input.zhidu').attr('readonly', true);
		$('.grzl tbody>tr>td input.zhidu').css('border-bottom', "none");
	})
	//关闭按钮
	$('.ptr').click(function() {
		hideDialog();
		//$('.personal').hide();
	})
	$('.grbtn').click(function() {
		var gh = $('.mgh').val();
		var xm = $('.mn').val();
		var ymm = $('.spwd').val();
		var xmm = $('.npwd').val();
		var qmm = $('.epwd').val();
		if(xmm !== qmm) {
			$('.wrong').show();
			$('.npwd').val('')
			$('.epwd').val('')
		} else if(xmm == '') {
			layer.msg("密码不允许为空！");
		} else {
			$('.wrong').hide();
			$('.grzl tbody>tr>td input').attr('readonly', true);
			$('.grzl tbody>tr>td input').css('border-bottom', "none");
			$.ajax({
				type: "post",
				url: huayi.config.callcenter_url + "UserAccount/UpdatePwd",
				async: true,
				dataType: 'json',
				data: {
					token: $.cookie("token"),
					usercode: gh,
					pwd: xmm,
					oldpwd: ymm,
					mobile: $('.mobile').val()
				},
				success: function(result) {
					//                		result = $.parseJSON(result);
					if(result.state.toLowerCase() == "success") {
						layer.msg("修改成功！");
					}
				}
			});
		}
	})

	//图片裁剪
	var o = $(".image-crop > img");
	$(o).cropper({
		aspectRatio: 1 / 1,
		resizable: false,
		dragCrop: false,
		preview: ".img-preview",
		done: function() {}
	});
	var r = $("#inputImage");
	if(window.FileReader) {
		r.change(function() {
			var e, i = new FileReader,
				t = this.files;
			if(t.length && (e = t[0], /^image\/\w+$/.test(e.type))) {
				i.readAsDataURL(e);
				i.onload = function() {
					r.val("");
					o.cropper("reset", !0).cropper("replace", this.result);
				}

			} else {
				alert("请选择图片文件");
			}
		});
		$("#setDrag").click(function() {
			o.cropper("setDragMode", "crop");
			var img = o.cropper("getDataURL");
			$.post(huayi.config.callcenter_url + "Index/UploadTX64", {
				dataurl: encodeURIComponent(img),
				"token": $.cookie("token")
			}, function(result) {
				result = $.parseJSON(result);
				if(result.state.toLowerCase() == "success") {
					$(".yhtx").attr("src", huayi.config.callcenter_url.substr(0, huayi.config.callcenter_url.length - 1) + result.data);
					layer.msg("上传成功");
					hideDialog();
					//$('.personal').hide();
				}
			})
		});
		$("#zoomIn").click(function() {
			o.cropper("zoom", .1)
		});
		$("#zoomOut").click(function() {
			o.cropper("zoom", -.1)
		});
		$("#rotateLeft").click(function() {
			o.cropper("rotate", 45)
		});
		$("#rotateRight").click(function() {
			o.cropper("rotate", -45)
		});
	} else {
		r.addClass("hide");
	}

//	$(".add_").click(function() {
//		//联系人
//		var callCustomer = $("#callCustomer").val();
//		//来电号码 
//		var tel = $("#Tel").val();
//		//来电单位
//		var lddep = $('#lddep').val();
//		//反馈单位 
//		var fkdep = $("#fkdep").val();
//		///工单来源id 
//		var gdly = $("#DicValueList").val();
//		//工单类型id  
//		var gdlx = $("#OPID").val();
//		//工单状态id
//		var gdzt = $("#State").val();
//		//反馈内容 
//		var fkcont = $("#fkcont").val();
//		//快递信息
//		var sendmsg = $('#sendmsg').val();
//		//备注一 
//		var note1 = $("#note1").val();
//		//备注二 
//		var note2 = $("#note2").val();
//		//备注三
//		var note3 = $("#note3").val();
//		//callid 
//		var callid = $("#hidCallID").val();
//		//              var tskh = $("#zxr_").val(); //联系：
//		//              var tsdh = $("#zxdh_").val(); //咨询电话
//		//              var cont = $("#zxnr_").val(); //咨询内容
//		//              var clcont = $("#clnr_").val(); //内容
//		var type = "1";
//		if(!callCustomer) {
//			layer.confirm('请输入姓名！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!tel) {
//			layer.confirm('请输入电话！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!lddep) {
//			layer.confirm('请选择来电单位！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!fkdep) {
//			layer.confirm('请选择反馈单位！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!gdly) {
//			layer.confirm('请选择工单来源！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!gdlx) {
//			layer.confirm('请选择工单类型！', {
//				btn: ['确定']
//			});
//			return;
//		}
//		if(!gdzt) {
//			layer.confirm('请选择工单状态！', {
//				btn: ['确定']
//			});
//			return;
//		}
//
//		$.post(huayi.config.callcenter_url + 'CallInScreen/AddWorkOrder', {
//			callCustomer: callCustomer,
//			tel: tel,
//			lddep: lddep,
//			fkdep: fkdep,
//			gdly: gdly,
//			gdlx: gdlx,
//			gdzt: gdzt,
//			fkcont: fkcont,
//			sendmsg: sendmsg,
//			note1: note1,
//			note2: note2,
//			note3: note3,
//			callid: callid,
//			"token": $.cookie("token")
//		}, function(result) {
//			result = $.parseJSON(result);
//			if(result.state.toLowerCase() == "success") {
//				loadOld();
//				//                      $("#zxr_").val(''); //咨询人：
//				//                      $("#zxdh_").val(''); //咨询电话
//				//                      $("#zxnr_").val(''); //咨询内容
//				//                      $("#clnr_").val(''); //内容
//				$("#callCustomer").val('');
//				//来电号码 
//				$("#Tel").val('');
//				//来电单位
//				$('#lddep').val('');
//				//反馈单位 
//				$("#fkdep").val('');
//				///工单来源id 
//				$("#DicValueList").val('');
//				//工单类型id  
//				$("#OPID").val('');
//				//工单状态id
//				$("#State").val('');
//				//反馈内容 
//				$("#fkcont").val('');
//				//快递信息
//				$('#sendmsg').val('');
//				//备注一 
//				$("#note1").val('');
//				//备注二 
//				$("#note2").val('');
//				//备注三
//				$("#note3").val('');
//				layer.msg("创建工单成功");
//			}
//		})
//	})
	
	
	$('.pre-add').click(function() {
		var par = $(this).parent().parent();
		par.hide().siblings().show();
	})

})
//菜单数字
function workcount() {
	$.getJSON(huayi.config.callcenter_url + 'Index/GetWorkOrderCount', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(".dpd").text(result.data.dpd);
			$(".djd").text(result.data.djd);
			//               $(".dcl").text(result.data.dcl);
		}
	})
}
//上传头像
function uploadtx() {
	if(document.getElementById("upFile").files.length > 0) {
		var formData = new FormData();
		formData.append("upFile", document.getElementById("upFile").files[0]);
		formData.append("token", $.cookie("token"));
		$.ajax({
			url: huayi.config.callcenter_url + "Index/UploadTX",
			type: "POST",
			data: formData,
			/**
			 *必须false才会自动加上正确的Content-Type
			 */
			contentType: false,
			/**
			 * 必须false才会避开jQuery对 formdata 的默认处理
			 * XMLHttpRequest会对 formdata 进行正确的处理
			 */
			processData: false,
			success: function(result) {
				document.getElementById("upFile").outerHTML = document.getElementById("upFile").outerHTML;
				$("#upFile").change(function() {
					uploadtx();
				});
				var r = $.parseJSON(result);
				if(r.state.toLowerCase() == "success") {
					$(".yhtx").attr("src", huayi.config.callcenter_url.substr(0, huayi.config.callcenter_url.length - 1) + r.data);

					layer.msg("上传成功");
				}
			}
		});
	} else {
		layer.confirm('请上传文件！', {
			btn: ['确定']
		});
	}
}

function GetCallState(val) {
	if(val == '1') {
		return '已接通';
	} else {
		return '未接通';
	}
}

//音频
function setCode(val) {
	if(val) {
		return '<div class="imgs" style="cursor: pointer;">' +
			'<img src="./img/vice.png" alt="" onclick= ck(this) item="' + val + '" />' +
			'</div>';
	} else {
		return '';
	}
}
//录音
function ck(val) {
	var path = $(val).attr("item");
	$(".t-shade").addClass("cx");
	$(".Ly_box").empty();
	$(".down").attr("href", path);
	$('<audio style="width: 100%;"class=" " src="' + path + '" loop="loop" controls="controls" ></audio>').appendTo(".Ly_box");
}

function GetDealState(val) {
	if(val == '1') {
		return '已处理';
	} else {
		return '未处理';
	}
}

function GetStateName(val) {
	var str = '';
	//switch (val + '') {
	//    case '0':
	//        str = "待指派";
	//        break;
	//    case '1':
	//        str = "处理中";
	//        break;
	//    case '2':
	//        str = "已完结";
	//        break;
	//}
	switch(val + '') {
		case '0':
			str = "待处理";
			break;
		case '1':
			str = "已处理";
			break;
	}
	return str;
}

function GetCont(val) {
	var str = '<div '
	if(val.length > 20) {
		str = str + ' title="' + val + '" ';
		val = val.substr(0, 20) + "...";
	}
	return str + '>' + val + '</div>';
}

//获取类型
function getLX(obj, type) {
	obj.empty();
	$.getJSON(huayi.config.callcenter_url + 'Dictionary/GetDicValueListByFlag', {
		"flag": type,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>');
			})
		}
	})
}
//获取部门
var setting = {
	data: {
		key: {
			name: "F_DeptName"
		},
		simpleData: {
			enable: true,
			idKey: "F_DeptId",
			pIdKey: "F_ParentId",
			rootPId: 0
		}
	},
	callback: {
		onClick: zTreeOnClick
	}
};

function getBM(obj) {
	$.getJSON(huayi.config.callcenter_url + 'Department/GetAllList', {
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$.fn.zTree.init(obj, setting, result.data);
		}
	})
}

function zTreeOnClick(event, treeId, treeNode) {
	var obj = $("#" + event.data.treeId).parent();
	obj.parent().find("input").eq(0).val(treeNode.F_DeptName);
	obj.parent().find("input").eq(1).val(treeNode.F_DeptId);
	obj.hide();
	if(event.data.treeId == "zrbmtree") {
		getRY($("#zrid"), $("#zrbm").val());
	}
	if(event.data.treeId == "clbmtree") {
		getRY($("#clid"), $("#clbm").val());
	}
};
//获取人员
function getRY(obj, deptid) {
	obj.empty();
	obj.append('<option value="">--请选择--</option>');
	$.getJSON(huayi.config.callcenter_url + 'UserAccount/GetDeptUserList', {
		"deptid": deptid,
		"token": $.cookie("token")
	}, function(result) {
		if(result.state.toLowerCase() == "success") {
			$(result.data).each(function(i, n) {
				obj.append('<option value="' + n.F_UserId + '">' + n.F_UserName + '</option>');
			})
		}
	})
}
//外呼弹屏
function whtp() {
	$("#Result").val("");
	if($(".WH").hasClass("fadeOutUp")) {
		$(".WH").removeClass("fadeOutUp").addClass("fadeInDown");
	}
	$(".WH").removeClass("hidens");

	$('.first').removeClass('first');
	$('.WH').addClass('first');

	loadWH();
}
//加载外呼电话列表
function loadWH() {
	$(".phonediv").hide();
	var n = $(".bg_title .lactive").attr("itemid");
	switch(n) {
		case '0':
			var obj = $(".phonediv").eq(0);
			obj.show();

			//先销毁表格
			var table = obj.find(".phonelist");
			table.bootstrapTable('destroy');
			//初始化表格,动态从服务器加载数据
			table.bootstrapTable({
				method: "get", //使用get请求到服务器获取数据
				url: huayi.config.callcenter_url + "CallOutScreen/GetPhoneList", //获取数据的Servlet地址
				contentType: 'application/x-www-form-urlencoded',
				striped: true, //表格显示条纹
				pagination: true, //启动分页
				pageSize: 10, //每页显示的记录数
				pageNumber: 1, //当前第几页
				pageList: [10, 20, 50, 100], //记录数可选列表
				search: false, //是否启用查询
				showColumns: false, //显示下拉框勾选要显示的列
				showRefresh: false, //显示刷新按钮
				sidePagination: "server", //表示服务端请求
				//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
				//设置为limit可以获取limit, offset, search, sort, order
				queryParamsType: "undefined",
				queryParams: function queryParams(params) { //设置查询参数
					var param = {
						page: params.pageNumber,
						pagesize: params.pageSize,
						tel: $("#lastphone").val(),
						token: $.cookie("token")
					};
					return param;
				},
				onLoadSuccess: function() { //加载成功时执行
					//layer.msg("加载成功");
				},
				onLoadError: function() { //加载失败时执行
					//layer.msg("加载数据失败", { time: 1500, icon: 2 });
				}
			});
			break;
		case '1':
			var obj = $(".phonediv").eq(1);
			obj.show();

			var table = obj.find(".phonelist");
			table.bootstrapTable('destroy');
			//初始化表格,动态从服务器加载数据
			table.bootstrapTable({
				method: "get", //使用get请求到服务器获取数据
				url: huayi.config.callcenter_url + "CallOutScreen/GetUserList", //获取数据的Servlet地址
				contentType: 'application/x-www-form-urlencoded',
				striped: true, //表格显示条纹
				pagination: true, //启动分页
				pageSize: 10, //每页显示的记录数
				pageNumber: 1, //当前第几页
				pageList: [10, 20, 50, 100], //记录数可选列表
				search: false, //是否启用查询
				showColumns: false, //显示下拉框勾选要显示的列
				showRefresh: false, //显示刷新按钮
				sidePagination: "server", //表示服务端请求
				//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
				//设置为limit可以获取limit, offset, search, sort, order
				queryParamsType: "undefined",
				queryParams: function queryParams(params) { //设置查询参数
					var param = {
						page: params.pageNumber,
						pagesize: params.pageSize,
						tel: $("#gsphone").val(),
						name: $("#gsname").val(),
						token: $.cookie("token")
					};
					return param;
				},
				onLoadSuccess: function() { //加载成功时执行
					//layer.msg("加载成功");
				},
				onLoadError: function() { //加载失败时执行
					//layer.msg("加载数据失败", { time: 1500, icon: 2 });
				}
			});
			break;
		case '2':
			var obj = $(".phonediv").eq(2);
			obj.show();

			var table = obj.find(".phonelist");
			table.bootstrapTable('destroy');
			//初始化表格,动态从服务器加载数据
			table.bootstrapTable({
				method: "get", //使用get请求到服务器获取数据
				url: huayi.config.callcenter_url + "CallOutScreen/GetCustomerList", //获取数据的Servlet地址
				contentType: 'application/x-www-form-urlencoded',
				striped: true, //表格显示条纹
				pagination: true, //启动分页
				pageSize: 10, //每页显示的记录数
				pageNumber: 1, //当前第几页
				pageList: [10, 20, 50, 100], //记录数可选列表
				search: false, //是否启用查询
				showColumns: false, //显示下拉框勾选要显示的列
				showRefresh: false, //显示刷新按钮
				sidePagination: "server", //表示服务端请求
				//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
				//设置为limit可以获取limit, offset, search, sort, order
				queryParamsType: "undefined",
				queryParams: function queryParams(params) { //设置查询参数
					var param = {
						page: params.pageNumber,
						pagesize: params.pageSize,
						tel: $("#khphone").val(),
						name: $("#khname").val(),
						token: $.cookie("token")
					};
					return param;
				},
				onLoadSuccess: function() { //加载成功时执行
					//layer.msg("加载成功");
				},
				onLoadError: function() { //加载失败时执行
					//layer.msg("加载数据失败", { time: 1500, icon: 2 });
				}
			});
			break;
	}
}

function view(val) {
	var str = '';
	if(val) {
		str = '<a onclick="call(\'' + val + '\')">' + val + '</a>';
	}
	return str;
}

function call(val) {
	$("#Result").val(val);
	$(".img").removeClass("hidens");
}

function logout() {
	$.ajax({
		url: huayi.config.callcenter_url + "Login/Logout",
		data: {
			token: $.cookie("token")
		},
		dataType: "json",
		success: function(res) {
			if(res.state) {
				location.href = "./login.html";
			}
		}
	});
}

//加载左侧导航菜单
function loadMenu() {

	$.ajaxSettings.async = false;
	$.getJSON(huayi.config.callcenter_url + 'Index/GetMenu', {
		"token": $.cookie("token")
	}, function(result) {
		$.ajaxSettings.async = true;
		if(result.state.toLowerCase() == "success") {
			var data = result.data;

			var _html = "";
			$.each(data, function(i) {
				var row = data[i];
				if(row.F_ParentID == "0") {
					_html += '<li>';
					_html += '<a  class="Click"data-id="Menu_' + row.F_ModuleId + '" href="' + row.F_OptUrl + '"><i class="fa iconfont">' + row.F_ImgUrl + '</i><span class="nav-label">' + row.F_ModuleName + '</span><span class="fa arrow"></span></a>';
					var childNodes = row.ChildNodes; //二级
					if(childNodes.length > 0) {
						_html += '<ul class="nav nav-second-level">';
						$.each(childNodes, function(i) {
							var subrow = childNodes[i];

							var childNodsThird = subrow.ChildNodes; //三级
							if(childNodsThird.length > 0) {
								_html += '<li>';
								_html += '<a href="' + subrow.F_OptUrl + '">';
								_html += '<span class="nav-label">' + subrow.F_ModuleName + '</span>';
								_html += '<span class="fa arrow"></span>';
								_html += '</a>';
								_html += '<ul class="nav nav-third-level">';
								$.each(childNodsThird, function(i) {
									var subrowThird = childNodsThird[i];
									_html += '<li>';
									_html += '<a class="J_menuItem" data-id="Menu_' + subrowThird.F_ModuleId + '" href="' + subrowThird.F_OptUrl + '" >' + subrowThird.F_ModuleName + '</a>';
									_html += '</li>';
								});
								_html += '</ul>';
							} else {
								_html += '<li>';
								_html += '<a class="J_menuItem" data-id="Menu_' + subrow.F_ModuleId + '" href="' + subrow.F_OptUrl + '" >' + subrow.F_ModuleName + '</a>';
								if(subrow.F_Button != '') {
									_html += '<span class="' + subrow.F_Button + '"></span>';
								}
								_html += '</li>';
							}

						});
						_html += '</ul>';
					}
					_html += '</li>';
				}
			});
			//			            $("#sidebar-nav ul").prepend(_html);
			$(_html).appendTo("#side-menu");
		} else {
			window.location.href = "/login.html";
		}
	})
}

////跳转
function Jumps() {
	//window.parent.frames[ "iframe0"].location.reload();
	$("iframe:visible")[0].src = "widgets.html"
}
//      $.getJSON(huayi.config.callcenter_url + 'Customer/GetCustomerByTel', {
////		"tel": $(".hidTel").val(),
//		"tel": '123456789',
////		"token": $.cookie("token")
//	}, function(result) {
//		if(result.state.toLowerCase() == "success") {
//			if(result.data.length > 0) {
//				$("#zxr_").val(result.data[0].F_CustomerName);
//				$("#tskh").val(result.data[0].F_CustomerName);
//				$("#khid").val(result.data[0].F_CustomerId);
//				$(".khbh").val(result.data[0].F_CustomerCode);
//				$(".ldtel1").val(result.data[0].F_Telephone);
//				$(".ldtel2").val(result.data[0].F_Mobile);
//				$(".ldtel3").val(result.data[0].F_ChargeTelephone);
//
//			}
//		}
//	})

//反馈单位 and来电单位
//	getAccount('#fkdep');
//	
//	getAccount('#fkdep_market');//反馈单位
//	getAccount('#lddep_market');//来电单位
//	function getAccount(obj) {
//			$.ajax({
//				type: "get",
//				url: huayi.config.callcenter_url + "Customer/BindLDdep",
//				dataType: 'json',
//				async: true,
//				data: {
//					token: $.cookie("token")
//				},
//				success: function(data) {
//					var Count = data.data.dep;
//					$(Count).each(function(i,n){
//						$("<option value='" + n + "'>" + n + "</option>").appendTo($(obj));
//					})
//					$(obj).selectpicker('refresh');
//				}
//			});
//		
//		}
//
//      $.ajax({
//              url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
//              type:'get',
//              async:true,
//              data: {
////              	tel: '123456789',
//					flag:'GDLY',
//                  token: $.cookie("token")
//              },
//              dataType: "json",
//              success: function (res) {
//              	if(res.state=="success"){
//              		console.log(res.data);
//              		$('<option value="">全部</option>').appendTo($("#DicValueList"));
//              		$(res.data).each(function(i,n){
//              			$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#DicValueList"));
//              		})
//              	}
//
//              }
//          });
//           $("#citySel").click(function () {
//              if ($(".menuContent").is(":hidden")) {
//                  $(".menuContent").show();
////                  alert("1");
//              } else {
//                  $(".menuContent").hide();
//              }
//          }) 
//          //工单类型
//          //部门
//				tree() 
//				function tree() {
//					$.get(huayi.config.callcenter_url + "WorkType/GetTreeList", {
//						"token": $.cookie("token"),
//						//			"pid": pid
//					}, function(result) {
//						result = $.parseJSON(result);
//						$.fn.zTree.init($("#treeDemo"), setting2, result.data); //实例化树形图
//					});
//					}
//				var setting2 = {
//					data: {
//						key: {
//							name: "text"
//						},
//						simpleData: {
//							enable: true,
//							idKey: "id",
//							rootPId: 0
//						}
//					},
//					callback: {
//						onClick: addTreeClick
//					}
//				}
//				function addTreeClick(event, treeId, treeNode) {
//					IDs = treeNode.id;
//					Names = treeNode.text;
//					$('#citySel').val(Names);
//					$("#OPID").val(IDs);
//					$('.menuContent').hide()
//
//				};
//			//状态
//			$.ajax({
//              url: huayi.config.callcenter_url + "Dictionary/GetDicValueListByFlag",
//              type:'get',
//              async:true,
//              data: {
//					flag:'GDZT',
//                  token: $.cookie("token")
//              },
//              dataType: "json",
//              success: function (res) {
//              	if(res.state=="success"){
//              		console.log(res.data);
//              		$('<option value="">全部</option>').appendTo($("#State"));
//              		$(res.data).each(function(i,n){
//              			$('<option value="' + n.F_DictionaryValueId + '">' + n.F_Name + '</option>').appendTo($("#State"));
//              		})
////              		
//              	}
//
//              }
//          });
//          
//          
//          	$.ajax({
//				type: "get",
//				url: huayi.config.callcenter_url + "Customer/BindLDdep",
//				dataType: 'json',
//				async: true,
//				data: {
//					
//					 keypara:'',
//					 token: $.cookie("token")
//				},
//				success: function(data) {
//					var Count = data.data.dep;
//					console.log(Count)
//					$.selectSuggest('testInput2',Count);
//				}
//			});
//			var data=["河北省", "山西省", "内蒙古自治区", "辽宁省", "吉林省", "黑龙江省", "江苏省", "浙江省", "安徽省", "福建省", "江西省", "山东省", "河南省", "湖北省", "湖南省", "广东省", "广西壮族自治区", "海南省", "四川省", "贵州省", "云南省", "陕西省", "甘肃省", "青海省", "西藏自治区", "宁夏回族自治区","台湾","北京市", "天津市", "上海市", "重庆市", "香港", "澳门", "新疆维吾尔自治区"];
//	
//  $.selectSuggest('testInput1',data);